<section class="content">
  <div class="container-fluid">
    <div class="block-header">
      <div class="row">
        <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
          <ul class="breadcrumb breadcrumb-style ">
            <li class="breadcrumb-item">
              <h4 class="page-title">Lista de convenios</h4>
            </li>
            <li class="breadcrumb-item bcrumb-1">
              <a routerLink="/admin/dashboard/main">
                <i class="fas fa-home"></i>Home
              </a>
            </li>
            <li class="breadcrumb-item bcrumb-2">
              <a href="#" onClick="return false;">Convenios</a>
            </li>
            <li class="breadcrumb-item active">Lista de convenios</li>
          </ul>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
        <div class="card">
          <div class="body">
            <div class="table-responsive">
              <div class="materialTableHeader">
                <div class="row">
                  <div class="col-8">
                    <ul class="header-buttons-left ml-0">
                      <li class="dropdown">
                        <h2>
                          <strong>Lista de convenios</strong>
                        </h2>
                      </li>
                      <li class="dropdown m-l-20">
                        <label for="search-input"><i class="material-icons search-icon">search</i></label>
                        <input placeholder="Buscar" type="text" #filter class="browser-default search-field"
                          aria-label="Search box">
                      </li>
                      <!-- <li>
                        <div class="icon-button-demo m-l-10" [hidden]=!selection.hasValue()>
                          <button mat-mini-fab color="warn" (click)="removeSelectedRows()">
                            <mat-icon class="col-white">delete</mat-icon>
                          </button>
                        </div>
                      </li> -->
                    </ul>
                  </div>
                  <div class="col-4">
                    <ul class="header-buttons" *ngIf="idClinica !== null">
                      <li>
                        <div class="icon-button-demo">
                          <button mat-mini-fab color="primary" (click)="NuevoConvenio()">
                            <mat-icon class="col-white">add</mat-icon>
                          </button>
                        </div>
                      </li>
                      <li>
                        <div class="icon-button-demo">
                          <button mat-mini-fab color="primary" (click)="refresh()">
                            <mat-icon class="col-white">refresh</mat-icon>
                          </button>
                        </div>
                      </li>
                    </ul>
                  </div>
                </div>
              </div>
              <mat-table #table [dataSource]="dataSource" matSort class="mat-cell">
                <!-- ID Column -->
                <ng-container matColumnDef="id">
                  <mat-header-cell *matHeaderCellDef mat-sort-header>Id</mat-header-cell>
                  <mat-cell *matCellDef="let row">{{row.id}}</mat-cell>
                </ng-container>
                <!-- <ng-container matColumnDef="img">
                  <mat-header-cell mat-header-cell *matHeaderCellDef [ngClass]="'tbl-col-width-per-5'">Img
                  </mat-header-cell>
                  <mat-cell mat-cell *matCellDef="let row" class="table-img tbl-col-width-per-5"> <img
                      [src]="row.img" />
                  </mat-cell>
                </ng-container> -->
                <ng-container matColumnDef="NombreConvenio">
                  <mat-header-cell *matHeaderCellDef mat-sort-header>Nombre convenio</mat-header-cell>
                  <mat-cell *matCellDef="let row"> {{row.NombreConvenio}}</mat-cell>
                </ng-container>
                <ng-container matColumnDef="Descuento">
                  <mat-header-cell *matHeaderCellDef mat-sort-header>% de descuento</mat-header-cell>
                  <mat-cell *matCellDef="let row"> {{row.Descuento}}</mat-cell>
                </ng-container>
                <ng-container matColumnDef="Notas">
                  <mat-header-cell *matHeaderCellDef mat-sort-header>Notas</mat-header-cell>
                  <mat-cell *matCellDef="let row"> {{row.Notas}}</mat-cell>
                </ng-container>
                <ng-container matColumnDef="FechaCreacion">
                  <mat-header-cell *matHeaderCellDef mat-sort-header>Sucursal y doctor</mat-header-cell>
                  <mat-cell *matCellDef="let row">
                    <label *ngIf="row.NombreSucursal !== ''">{{row.NombreSucursal}}&nbsp;{{row.NombreUsuario}}&nbsp;{{row.Apellidos}}</label>
                    <label *ngIf="row.NombreSucursal === '' || row.NombreSucursal === null">Matriz</label>
                  </mat-cell>
                </ng-container>
                <ng-container matColumnDef="FechaMod">
                  <mat-header-cell *matHeaderCellDef mat-sort-header>Estado </mat-header-cell>
                  <mat-cell *matCellDef="let row">
                    <label *ngIf="row.Status === '0'">HABILITADO</label>
                    <label *ngIf="row.Status === '1'">DESHABILITADO</label>
                  </mat-cell>
                </ng-container>
                <ng-container matColumnDef="Nombre">
                  <mat-header-cell *matHeaderCellDef mat-sort-header>Creacion</mat-header-cell>
                  <mat-cell *matCellDef="let row"> {{row.FechaCreacion}}</mat-cell>
                </ng-container>
                <ng-container matColumnDef="Apellido">
                  <mat-header-cell *matHeaderCellDef mat-sort-header>Actualización</mat-header-cell>
                  <mat-cell *matCellDef="let row">{{row.FechaMod}}</mat-cell>
                </ng-container>
                <!-- actions -->
                <ng-container matColumnDef="actions">
                  <mat-header-cell *matHeaderCellDef class="pr-0">Acciones</mat-header-cell>
                  <mat-cell *matCellDef="let row; let i=index;" class="pr-0">
                    <button mat-icon-button color="accent" class="btn-tbl-edit" (click)="$event.stopPropagation()" (click)="editCall(row)">
                      <mat-icon aria-label="Edit" class="col-white">edit</mat-icon>
                    </button>
                    <button *ngIf="row.Status=='0'" mat-icon-button color="accent" class="btn-tbl-delete" (click)="$event.stopPropagation()" (click)="ModalMotivoDesctivar(true,row.id)">
                      <i class="material-icons col-white">cloud</i>
                    </button>
                    <button *ngIf="row.Status!='0'" mat-icon-button color="accent" class="btn-tbl-delete" (click)="$event.stopPropagation()" (click)="activar(row.id)">
                      <i class="material-icons col-white">cloud_off</i>
                    </button>
                    <button mat-icon-button color="accent" class="btn-tbl-edit" (click)="$event.stopPropagation()" (click)="obtenerHistorial(row.id)">
                      <i class="material-icons col-white">history</i>
                    </button>
                  </mat-cell>
                </ng-container>
                <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
                <!-- <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row> -->
                <mat-row *matRowDef="let row; columns: displayedColumns;" (click)="editCall(row)"
                  [style.cursor]="'pointer'" matRipple>
                </mat-row>
              </mat-table>
              <div class="no-results" [style.display]="dataSource.renderedData.length == 0 ? '' : 'none'">
                No results
              </div>
              <mat-paginator #paginator [length]="dataSource.filteredData.length" [pageIndex]="0" [pageSize]="10"
                [pageSizeOptions]="[5, 10, 25, 100]">
              </mat-paginator>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
<!-- Modal Nuevo diagnostico/Editar diagnostico-->
<div class="modal fade" id="NuevoDiagnostico" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true" [ngStyle]="{'display': Historial ? 'block' : 'none', 'opacity': 1}">
  <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
    <div class="modal-content" style="padding:20px;">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLongTitle">Nuevo Diagnostico</h5>
        <button mat-icon-button (click)="ModalHistorial(false)" aria-label="Close dialog">
      <mat-icon>close</mat-icon>
    </button>
      </div>
      <div class="modal-body">
        <div class="table-responsive">
          <table class="table table-hover">
            <thead>
                <tr>
                <th class="text-center">Nombre</th>
                <th class="text-center">NuevoNombre</th>
                <th class="text-center">Descuento</th>
                <th class="text-center">NuevoDescuento</th>
                <th class="text-center">Notas</th>
                <th class="text-center">NuevoNotas</th>
                <th class="text-center">Doctor</th>
                <th class="text-center">NuevoDoctor</th>
                <th class="text-center">Status</th>
                <th class="text-center">NuevoStatus</th>
                </tr>
            </thead>
            <tbody>
              <tr *ngFor="let historial of HistorialConv; let i = index">
                <td class="text-center">{{historial.NombreConvenio}}</td>
                <td class="text-center">{{historial.Nuevo_NombreConvenio}}</td>
                <td class="text-center">{{historial.Descuento}}</td>
                <td class="text-center">{{historial.Nuevo_Descuento}}</td>
                <td class="text-center">{{historial.Notas}}</td>
                <td class="text-center">{{historial.Nuevo_Notas}}</td>
                <td class="text-center">{{historial.idDoctor}}</td>
                <td class="text-center">{{historial.Nuevo_idDoctor}}</td>
                <td class="text-center">{{historial.Status}}</td>
                <td class="text-center">{{historial.Nuevo_Status}}</td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
      <!-- <div class="modal-footer">
        <button mat-raised-button color="warn" (click)="ModalHistorial(false)" tabindex="-1" class="mr-5">
          Cancelar
        </button>
        <button mat-raised-button color="primary">Guardar</button>
      </div> -->
    </div>
  </div>
</div>

<!-- Modal Nuevo diagnostico/Editar diagnostico-->
<div class="modal fade" id="NuevoDiagnostico" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true" [ngStyle]="{'display': Desactivar ? 'block' : 'none', 'opacity': 1}">
  <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
    <div class="modal-content" style="padding:20px;">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLongTitle">Motivo</h5>
        <button mat-icon-button (click)="ModalMotivoDesctivar(false,0)" aria-label="Close dialog">
      <mat-icon>close</mat-icon>
    </button>
      </div>
      <div class="modal-body">
        <form class="m-4" [formGroup]="MotivoForm">
          <div class="row">
            <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
              <mat-form-field class="example-full-width mb-3">
                <mat-label>Motivo de cancelación</mat-label>
                <textarea matInput formControlName="motivo"></textarea>
                <mat-error *ngIf="MotivoForm.get('motivo').hasError('required')">
                  El motivo es requerido
                </mat-error>
              </mat-form-field>
            </div>
          </div>
          <div class="row">
            <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
              <button class="mr-3" [disabled]="!MotivoForm.valid" mat-raised-button color="primary" (click)="desactivar(this.idDesactivar)">Guardar</button>
              <button (click)="ModalMotivoDesctivar(false,0)" mat-button style="opacity: 0;">Cancelar</button>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
